vsgXchange: vsgXchange::assimp Class Reference

vsgXchange 1.1.9 VulkanSceneGraph 3rd party data integration library

Loading...
Searching...
No Matches
vsgXchange::assimp Class Reference

optional assimp ReaderWriter More...

`#include <models.h>`

Inheritance diagram for vsgXchange::assimp:
[legend]
Collaboration diagram for vsgXchange::assimp:
[legend]

## Public Member Functions
vsg::ref_ptr< vsg::Object > | read (const vsg::Path &, vsg::ref_ptr< const vsg::Options >) const override
vsg::ref_ptr< vsg::Object > | read (std::istream &, vsg::ref_ptr< const vsg::Options >) const override
vsg::ref_ptr< vsg::Object > | read (const uint8_t *ptr, size_t size, vsg::ref_ptr< const vsg::Options > options={}) const override
bool | getFeatures (Features &features) const override
bool | readOptions (vsg::Options &options, vsg::CommandLine &arguments) const override
| CoordinateSpace {sRGB or LINEAR} to assume when reading materials colors.

## Static Public Attributes
static constexpr const char * | generate_smooth_normals = "generate_smooth_normals"
static constexpr const char * | generate_sharp_normals = "generate_sharp_normals"
static constexpr const char * | crease_angle = "crease_angle"
static constexpr const char * | two_sided = "two_sided"
| float
static constexpr const char * | discard_empty_nodes = "discard_empty_nodes"
| bool
static constexpr const char * | print_assimp = "print_assimp"
| bool
static constexpr const char * | external_textures = "external_textures"
| int
static constexpr const char * | external_texture_format = "external_texture_format"
| bool
static constexpr const char * | culling = "culling"
| TextureFormat enum.
static constexpr const char * | vertex_color_space = "vertex_color_space"
| bool, insert cull nodes, defaults to true
static constexpr const char * | material_color_space = "material_color_space"
| CoordinateSpace {sRGB or LINEAR} to assume when reading vertex colors.

## Protected Attributes
Implementation * | _implementation

## Detailed Description

optional assimp ReaderWriter

The documentation for this class was generated from the following file:

- include/vsgXchange/models.h